/* @import url('https://fonts.googleapis.com/css2?family=Heebo:wght@100..900&display=swap');

.wp-theme-astra {
  display: flex;
  flex-direction: column;
}

.woocommerce-js ul.products li.product a img,
.woocommerce-page ul.products li.product a img {
  border-radius: 16px;
  overflow: hidden;
  margin-bottom: 1.25rem;
}

.woocommerce-js ul.products li.product .woocommerce-loop-product__title,
.woocommerce-page ul.products li.product .woocommerce-loop-product__title,
table.wc-block-cart-items
  .wc-block-cart-items__row
  .wc-block-components-product-name {
  font-size: 1.25rem;
  line-height: 1.5rem;
  color: #1a4d4a;
  margin-bottom: 0.8rem;
}

.woocommerce-js ul.products li.product .price,
.woocommerce-page ul.products li.product .price {
  font-size: 1.5rem;
  line-height: 1.8125rem;
  color: #2e8983;
  margin-bottom: 1rem;
  font-weight: 300;
}

.woocommerce-js ul.products li.product .price ins {
  font-weight: 300;
}

.woocommerce-js ul.products li.product .button,
.woocommerce-page ul.products li.product .button {
  margin: 0;
}

.woocommerce-js a.button,
.wp-element-button,
.woocommerce-js div.product form.cart .button.single_add_to_cart_button {
  letter-spacing: 0.03em;
  min-height: 0 !important;
  padding: 0.75rem 2.5rem !important;
  width: fit-content !important;
  line-height: 1.5rem !important;
}

.ast-on-card-button.ast-onsale-card {
  background-color: #db9d3b;
  color: #fff;
}

.woocommerce-js ul.products li.product .ast-shop-product-out-of-stock,
.woocommerce-page ul.products li.product .ast-shop-product-out-of-stock {
  background-color: #fff;
  color: #0e2a28;
  cursor: pointer;
  position: absolute;
  top: 1.5em;
  left: 1.5em;
  width: fit-content;
  border-radius: 20px;
  padding: 0.4em 0.8em;
  font-size: 0.87em;
  font-weight: 500;
  line-height: normal;
  letter-spacing: normal;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.15);
  opacity: 1;
  z-index: 4;
  bottom: auto;
  text-transform: capitalize;
}

.woocommerce-js
  ul.products
  li.product
  .woocommerce-loop-product__link:hover
  .ast-shop-product-out-of-stock,
.woocommerce-page
  ul.products
  li.product
  .woocommerce-loop-product__link:hover
  .ast-shop-product-out-of-stock {
  background-color: #fff;
  color: #0e2a28;
}

.wc-block-product-categories-list.wc-block-product-categories-list--depth-0 {
  list-style: none;
  margin: 0;
  display: flex;
  gap: 0.625rem;
  line-height: 0;
  li {
    padding: 0;
    a {
      color: #fff;
      font-size: 1rem;
      line-height: 1rem;
      font-family: 'Bebas Neue', sans-serif;
      padding: 0.4rem 1.5rem;
      display: block;
      background-color: #2e8983;
      border-radius: 32px;
      transition: all 0.2s linear;
      &:hover {
        background-color: #1a4d4a;
      }
    }

    .wc-block-product-categories-list-item-count {
      display: none;
    }
  }
}

.woocommerce-js .woocommerce-breadcrumb {
  color: #2e8983;
  a {
    color: #2e8983;
  }
}

.woocommerce-js div.product .product_title {
  font-size: 2.375rem;
  line-height: 2.875rem;
  font-size: 3rem;
  line-height: 3.625rem;
  font-weight: 400;
  margin-bottom: 1rem;
  color: #183b4e;
}

.woocommerce-js div.product p.price {
  font-size: 2.375rem;
  line-height: 2.875rem;
  color: #2e8983;
  margin-bottom: 1rem;
  font-weight: 300;
}

.woocommerce-js div.product form.cart div.quantity {
  margin: 0 1rem 0 0;
  input {
    height: 3.125rem;
    border-radius: 36px;
  }
}

.woocommerce-js
  div.product
  div.images.woocommerce-product-gallery
  .flex-viewport,
.woocommerce-js
  div.product
  div.woocommerce-product-gallery--columns-4
  .flex-control-thumbs
  li {
  border-radius: 1rem;
  overflow: hidden;
}

.woocommerce-page div.product .woocommerce-tabs {
  margin-bottom: 2rem;
  padding: 0;
  ul.tabs {
    &::before,
    li::before,
    li.active::before {
      content: none !important;
    }
    li {
      margin: 0;
      line-height: 1rem;
      a {
        padding: 0;
        font-weight: 400;
        color: #2e8983;
        font-size: 1rem;
        line-height: 1rem;
        font-family: 'Bebas Neue', sans-serif;
        padding: 0.4rem 1.5rem;
        border-radius: 32px;
        transition: all 0.2s linear;
        &:hover {
          background-color: #2e8983;
          color: #fff;
        }
      }
      &.active {
        a {
          background-color: #2e8983;
          color: #fff;
        }
      }
    }
    display: flex;
    gap: 0.625rem;
  }
}

.woocommerce-js div.product .related.products {
  & > h2 {
    color: #183b4e;
    margin-bottom: 1.25rem;
    font-size: 2.375rem;
    line-height: 2.875rem;
  }
}

.wc-block-components-formatted-money-amount,
.price.wc-block-components-product-price {
  color: #2e8983;
}

.wc-block-components-totals-shipping__via {
  display: none;
}

.wc-block-cart-item__image img {
  border-radius: 8px;
  overflow: hidden;
  display: block;
}

table.wc-block-cart-items
  .wc-block-cart-items__row
  .wc-block-components-product-name,
.entry-content [CLASS*='wc-block'] .wc-block-components-product-name {
  line-height: 1.5rem !important;
  margin-bottom: 0.8rem !important;
  font-family: 'Bebas Neue', sans-serif;
}

.editor-styles-wrapper
  table.wc-block-cart-items
  .wc-block-cart-items__row
  .wc-block-cart-item__quantity
  .wc-block-cart-item__remove-link,
table.wc-block-cart-items
  .wc-block-cart-items__row
  .wc-block-cart-item__quantity
  .wc-block-cart-item__remove-link {
  color: #2e8983 !important;
}

div.wc-block-components-product-badge {
  display: block;
  width: fit-content;
  min-width: 107px;
  border: none;
  background-color: #db9d3b;
  color: #fff;
  font-weight: 400;
  margin-bottom: 0.8rem !important;
  .wc-block-components-formatted-money-amount {
    color: #fff;
  }
}

div.wc-block-components-product-metadata {
  margin: 0 !important;
}

.wc-block-components-product-metadata__description p {
  font-size: 0.875rem;
  line-height: 1.3rem;
  margin: 0 0 0.8rem !important;
}

table.wc-block-cart-items
  .wc-block-cart-items__row
  .wc-block-cart-item__quantity
  .wc-block-cart-item__remove-link {
  display: block;
}

div.is-large.wc-block-cart .wc-block-cart-items td {
  padding: 20px 0 20px 20px;
}

div.is-large.wc-block-cart .wc-block-cart-items td:last-child,
div.is-large.wc-block-cart .wc-block-cart-items th:last-child {
  padding-right: 20px;
  min-width: 200px;
}

.wc-block-components-totals-item__label {
  font-size: 0.875rem;
  line-height: 0.875rem;
  text-transform: uppercase;
  font-weight: 700;
}

div.wc-block-components-totals-shipping
  .wc-block-components-totals-item
  strong {
  text-transform: capitalize;
}

table.wc-block-cart-items tr.wc-block-cart-items__header,
div.is-large.wc-block-cart h2.wc-block-cart__totals-title {
  font-size: 0.875rem;
  line-height: 0.875rem;
}

div.is-large.wc-block-cart .wc-block-cart-items th {
  padding: 0 0 16px 20px;
}

div.is-large.wc-block-cart h2.wc-block-cart__totals-title {
  padding: 0 20px 16px;
}

div.is-large .wc-block-components-sidebar .wc-block-components-totals-item {
  padding: 0 20px;
  display: flex;
  align-items: center;
}

.wc-block-components-totals-shipping__collaterals {
  display: none;
}

.wp-block-woocommerce-cart-order-summary-totals-block
  .wc-block-components-totals-wrapper {
  padding: 20px 0 0;
}

div.wp-block-woocommerce-cart-order-summary-totals-block {
  padding-bottom: 20px;
}

.wc-block-cart__submit {
  display: flex;
  justify-content: center;
}

button.wc-block-components-button:not(.is-link):disabled {
  background-color: #709a9a;
  .wc-block-components-button__text {
    opacity: 1;
  }
}

.entry-content p {
  margin: 0 0 1.25rem;
}

.wc-block-components-form .wc-block-components-text-input input[type='email'],
.wc-block-components-form .wc-block-components-text-input input[type='number'],
.wc-block-components-form
  .wc-block-components-text-input
  input[type='password'],
.wc-block-components-form .wc-block-components-text-input input[type='tel'],
.wc-block-components-form .wc-block-components-text-input input[type='text'],
.wc-block-components-form .wc-block-components-text-input input[type='url'],
.wc-block-components-text-input input[type='email'],
.wc-block-components-text-input input[type='number'],
.wc-block-components-text-input input[type='password'],
.wc-block-components-text-input input[type='tel'],
.wc-block-components-text-input input[type='text'],
.wc-block-components-text-input input[type='url'],
.wc-blocks-components-select .wc-blocks-components-select__select {
  height: 48px !important;
  border-radius: 36px !important;
  border-color: #d1d5db !important;
  padding: 1.5em 1.25rem 0.5em !important;
}

.wc-block-components-form .wc-block-components-text-input label,
.wc-block-components-text-input label,
.wc-blocks-components-select .wc-blocks-components-select__label {
  left: 20px !important;
}

.wc-blocks-components-select .wc-blocks-components-select__select {
  padding: 1em 1.25rem 0 !important;
}

.wc-block-components-form fieldset.wc-block-components-checkout-step {
  margin: 0 0 20px;
}

.wp-block-woocommerce-checkout
  .wc-block-components-address-form
  span.wc-block-components-address-form__address_2-toggle {
  border: none;
}

div.is-large
  .wc-block-checkout__shipping-fields
  .wc-block-components-address-form {
  gap: 20px;
}

form.wc-block-components-form .wc-block-components-text-input,
.wc-block-components-text-input,
div.wc-blocks-components-select__container {
  margin-top: 0;
}

div.wc-block-components-radio-control--highlight-checked {
  &::after {
    content: none;
  }
  label.wc-block-components-radio-control__option--checked-option-highlighted {
    box-shadow: none;
  }
}

.wc-block-components-order-summary
  .wc-block-components-order-summary-item__description
  .wc-block-components-product-metadata {
  display: none;
}

.wc-block-components-order-summary
  span.wc-block-components-order-summary-item__individual-prices {
  padding: 0;
}

.entry-content [CLASS*='wc-block'] .wc-block-components-product-name {
  margin-bottom: 0 !important;
}

div.wp-block-woocommerce-checkout-order-summary-block {
  border-radius: 8px;
  .wc-block-components-checkout-order-summary__title {
    margin-top: 20px;
    .wc-block-components-checkout-order-summary__title-text {
      font-size: 0.875rem;
      line-height: 0.875rem;
      text-transform: uppercase;
      font-weight: 700;
      margin: 0 20px 20px;
    }
  }

  .wc-block-components-order-summary.is-large {
    padding: 0 20px;
  }

  .wc-block-components-order-summary-item__description {
    padding: 0 20px;
  }
  .wc-block-components-order-summary-item {
    padding: 0 0 16px;
  }

  .wc-block-components-order-summary-item__image {
    padding: 0;
    margin: 0;
    width: 45px;
    & > img {
      max-width: 45px;
      width: 45px;
      border-radius: 8px;
    }
  }
  .wc-block-components-order-summary-item__quantity {
    border: none;
    background-color: #db9d3b;
    box-shadow: none;
    color: #fff;
    font-size: 0.75rem;
  }
  .wc-block-components-formatted-money-amount {
    font-weight: 300;
  }
  .wc-block-components-checkout-order-summary__content
    > .wc-block-components-totals-wrapper:first-child {
    padding: 0;
  }
  .wp-block-woocommerce-checkout-order-summary-totals-block {
    padding-bottom: 0;
  }
} */
